ubuntu配置用户、用户组,安全使用细则

平时使用 ubuntu 服务器都是用 root 账号在操作,这样会有一些安全隐患,比如在执行一些外来脚本的时候,如果用 root 账号执行,恶意脚本就可以损害系统。还有在使用 composer 安装 php 包的时候,也会提醒我们不要用 root 账号运行 composer 命令。所以记录一下 ubuntu 配置用户和用户组的过程。

查看全文 »

阿里云服务器从ubuntu 16.04升级到18.04的艰辛过程

今天看了一下Laravel 6.x系列,准备在服务器上部署,结果发现Laravel需要php7.2,我还用的ubuntu 16.04版本,仓库默认php版本是7.0,于是查了一下升级方法。

本来准备是只升级一下php版本,结果发现添加了php源,也没办法拉到php7.2的版本信息。就想着把系统升级到ubuntu 18.04算了,看了各种在线升级方法,均以失败告终,太坑了。

查看全文 »